Bug 11374 - NFSROOT Ethernet device undefined
: NFSROOT Ethernet device undefined
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkinitrd)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-05 18:04 by
Modified: 2007-06-18 19:12 (History)


Attachments
mkinitrd-3.0.3-nfs.patch (1.14 KB, patch)
2007-04-05 18:05, led@altlinux.org
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-05 18:04:52
В скрипте mkinitrd nfs используется переменная DEVICE, которая нигде ранее не 
определяется. В связи с этим становится проблемным создание initrd.img для 
бездисковых терминалов с ROOT в NFS. 
Также для инициализации Ethernet устройства необходим /tmp в initrd.img. 
Предлагаю патч для решения (частичного) этой проблемы.
------- Comment #1 From 2007-04-05 18:05:46 -------
Created an attachment (id=1887) [details]
mkinitrd-3.0.3-nfs.patch
------- Comment #2 From 2007-04-23 19:41:07 -------
Серж, большая человеческая просьба по возможности это в 4.0 branch иметь.  Мы
тут добрый вечер угробили тогда на понимание источника проблемы и дивились ещё,
насколько неаккуратно вышло -- полагаться на неинициализированную переменную.
------- Comment #3 From 2007-04-23 22:44:24 -------
*** Bug 11195 has been marked as a duplicate of this bug. ***
------- Comment #4 From 2007-06-18 18:33:42 -------
Oops... Fixed in mkinitrd-3.0.4-alt1